Clutter::BehaviourOpacity Class Reference
Inheritance diagram for Clutter::BehaviourOpacity:
[legend]
Collaboration diagram for Clutter::BehaviourOpacity:
[legend]

List of all members.

## Public Member Functions

virtual | ~BehaviourOpacity ()
ClutterBehaviourOpacity* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBehaviourOpacity* | gobj () const
| Provides access to the underlying C GObject.
ClutterBehaviourOpacity* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_bounds (guint8 opacity_start, guint8 opacity_end)
| Sets the initial and final levels of the opacity applied by behaviour on each actor it controls.
void | get_bounds (guint8& opacity_start, guint8& opacity_end) const
| Gets the initial and final levels of the opacity applied by behaviour on each actor it controls.
Glib::PropertyProxy< guint > | property_opacity_end ()
| Final opacity level.
Glib::PropertyProxy_ReadOnly < guint > | property_opacity_end () const
| Final opacity level.
Glib::PropertyProxy< guint > | property_opacity_start ()
| Initial opacity level.
Glib::PropertyProxy_ReadOnly < guint > | property_opacity_start () const
| Initial opacity level.

## Static Public Member Functions

static Glib::RefPtr < BehaviourOpacity > | create (const Glib::RefPtr< Alpha >& alpha, guint8 opacity_start, guint8 opacity_end)

## Protected Member Functions

| BehaviourOpacity (const Glib::RefPtr< Alpha >& alpha, guint8 opacity_start, guint8 opacity_end)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Clutter::BehaviourOpacity > | wrap (ClutterBehaviourOpacity* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BehaviourOpacity::~BehaviourOpacity | ( |  | ) | `[virtual]`

Clutter::BehaviourOpacity::BehaviourOpacity | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | guint8 | opacity_start,
|  | guint8 | opacity_end
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<BehaviourOpacity> Clutter::BehaviourOpacity::create | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | guint8 | opacity_start,
|  | guint8 | opacity_end
| ) |  | `[static]`

void Clutter::BehaviourOpacity::get_bounds | ( | guint8 & | opacity_start,
|  | guint8 & | opacity_end
| ) |  | const

Gets the initial and final levels of the opacity applied by behaviour on each actor it controls.

Since cluttermm 0.6:

Parameters:

  opacity_start | Return location for the minimum level of opacity, or `0`.
  opacity_end | Return location for the maximum level of opacity, or `0`.

ClutterBehaviourOpacity* Clutter::BehaviourOpacity::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

const ClutterBehaviourOpacity* Clutter::BehaviourOpacity::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

ClutterBehaviourOpacity* Clutter::BehaviourOpacity::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Behaviour.

Glib::PropertyProxy_ReadOnly<guint> Clutter::BehaviourOpacity::property_opacity_end | ( |  | ) | const

Final opacity level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Clutter::BehaviourOpacity::property_opacity_end | ( |  | ) |

Final opacity level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Clutter::BehaviourOpacity::property_opacity_start | ( |  | ) |

Initial opacity level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::BehaviourOpacity::property_opacity_start | ( |  | ) | const

Initial opacity level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BehaviourOpacity::set_bounds | ( | guint8 | opacity_start,
|  | guint8 | opacity_end
| ) |  |

Sets the initial and final levels of the opacity applied by behaviour on each actor it controls.

Since cluttermm 0.6:

Parameters:

  opacity_start | Minimum level of opacity.
  opacity_end | Maximum level of opacity.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BehaviourOpacity > wrap | ( | ClutterBehaviourOpacity * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/behaviour-opacity.h